org.richfaces.renderkit

## Class RowHolder

- java.lang.Object
- - org.richfaces.renderkit.RowHolderBase
  - - org.richfaces.renderkit.RowHolder

-     public class RowHolder
      extends RowHolderBase

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowHolder(javax.faces.context.FacesContext context, Row row)`
    `RowHolder(javax.faces.context.FacesContext context, Row row, int processCell, boolean isRowStart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParentClientId()`
    `Row` | `getRow()`
    `boolean` | `isEncodeParentTBody()`
    `boolean` | `isRowStart()`
    `boolean` | `isUpdatePartial()`
    `void` | `setEncodeParentTBody(boolean encodeParentTBody)`
    `void` | `setParentClientId(String parentClientId)`
    `void` | `setRowStart(boolean isRowStart)`
    `void` | `setUpdatePartial(boolean updatePartial)`

    - ### Methods inherited from class org.richfaces.renderkit.RowHolderBase

      `getContext, getCurrentRow, getProcessCell, hasWalkedOverRows, nextCell, nextRow, resetCurrentRow, resetProcessCell, setCurrentRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowHolder

          public RowHolder(javax.faces.context.FacesContext context,
                   Row row)

    - #### RowHolder

          public RowHolder(javax.faces.context.FacesContext context,
                   Row row,
                   int processCell,
                   boolean isRowStart)

  - ### Method Detail

    - #### isEncodeParentTBody

          public boolean isEncodeParentTBody()

    - #### setEncodeParentTBody

          public void setEncodeParentTBody(boolean encodeParentTBody)

    - #### isUpdatePartial

          public boolean isUpdatePartial()

    - #### setUpdatePartial

          public void setUpdatePartial(boolean updatePartial)

    - #### getParentClientId

          public String getParentClientId()

    - #### setParentClientId

          public void setParentClientId(String parentClientId)

    - #### getRow

          public Row getRow()

      Specified by:
        `getRow` in class `RowHolderBase`

    - #### isRowStart

          public boolean isRowStart()

    - #### setRowStart

          public void setRowStart(boolean isRowStart)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.